/*
 * BSHPluginProxy.java - Plugins written in BeanShell
 * Copyright (C) 1999 Slava Pestov
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import bsh.*;
import java.util.Vector;
import org.gjt.sp.jedit.gui.OptionsDialog;
import org.gjt.sp.jedit.*;

public class BSHPluginProxy extends EBPlugin
{
	public BSHPluginProxy(NameSpace namespace)
	{
		this.namespace = namespace;
	}

	public void start()
	{
		BeanShellPlugin.getBeanShell().method(namespace,"start");
	}

	public void stop()
	{
		BeanShellPlugin.getBeanShell().method(namespace,"stop");
	}

	public void createMenuItems(Vector menuItems)
	{
		Object[] args = { menuItems };
		BeanShellPlugin.getBeanShell().method(namespace,"createMenuItems",args);
	}

	public void createOptionPanes(OptionsDialog dialog)
	{
		Object[] args = { dialog };
		BeanShellPlugin.getBeanShell().method(namespace,"createOptionPanes",args);
	}

	public void handleMessage(EBMessage msg)
	{
		Object[] args = { msg };
		BeanShellPlugin.getBeanShell().method(namespace,"handleMessage",args);
	}

	// private members
	private NameSpace namespace;
}
